Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 433481 - sci-libs/vtk bundles the following netcdf, ftgl, sqlite3 and exodusii
Summary: sci-libs/vtk bundles the following netcdf, ftgl, sqlite3 and exodusii
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords:
Depends on: 344063
Blocks:
  Show dependency tree
 
Reported: 2012-08-31 01:45 UTC by François Bissey
Modified: 2016-07-03 19:21 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description François Bissey 2012-08-31 01:45:26 UTC
as the title says. vtk bundle a copy of
netcdf 4.1.2 [cxx,hdf5] otherwise it looks quite vanilla
media-libs/ftgl 1.32 there may be compatibility issues.
dev-db/sqlite:3 got a patch from debian for the corresponding problem in paraview.
sci-libs/exodusii 5.10f according to include file in vtk/paraview, 4.98 is in the science overlay there could be compatibility problems.

I am working on these issues on the paraview side in bug #31745.
Comment 1 Justin Lecher gentoo-dev 2012-09-03 16:33:24 UTC
boooo, I don't want to know that
:(
Comment 2 François Bissey 2012-09-03 21:44:18 UTC
The good news Justin is I fixed sqlite3 and netcdf in paraview-3.14.1-r2 and you should be able to just steal those for vtk.
We may have to keep ftlg in place because it looks like vtk include v1.32 while we are at version 2.1.3_rc5 in portage. That may be a bridge too far.
exodusii is in the science overlay but I suspect in a fairly mouldy state and it would have to move to the main tree.
Comment 3 François Bissey 2012-09-03 21:56:32 UTC
While I am at it. I have noticed in paraview (before I pushed 3.14.1) that src_compile was actually doing nothing. The main compilation was done from src_install. The main impact from that was the execution of the tests. Tests are run after src_compile and before src_install. So when I tried to enable the tests in paraview I got a big no tests found because they hadn't been compiled yet.
I am sure vtk suffers from the same disease.

There are other issues with the test in paraview and I am sure there are some in vtk as well. Hopefully I'll get dev-hood soon and I can give you a hand with vtk.
Comment 4 Justin Lecher gentoo-dev 2012-09-04 06:27:03 UTC
(In reply to comment #2)
> exodusii is in the science overlay but I suspect in a fairly mouldy state
> and it would have to move to the main tree.

I bumped it to latest version. Please test that one.
Comment 5 Justin Lecher gentoo-dev 2012-09-04 07:12:44 UTC
(In reply to comment #3)
> While I am at it. I have noticed in paraview (before I pushed 3.14.1) that
> src_compile was actually doing nothing. The main compilation was done from
> src_install. The main impact from that was the execution of the tests. Tests
> are run after src_compile and before src_install. So when I tried to enable
> the tests in paraview I got a big no tests found because they hadn't been
> compiled yet.
> I am sure vtk suffers from the same disease.

I just checked it, but it compiles in src_compile()
Comment 6 François Bissey 2012-09-04 08:41:47 UTC
(In reply to comment #5)
> (In reply to comment #3)
> > While I am at it. I have noticed in paraview (before I pushed 3.14.1) that
> > src_compile was actually doing nothing. The main compilation was done from
> > src_install. The main impact from that was the execution of the tests. Tests
> > are run after src_compile and before src_install. So when I tried to enable
> > the tests in paraview I got a big no tests found because they hadn't been
> > compiled yet.
> > I am sure vtk suffers from the same disease.
> 
> I just checked it, but it compiles in src_compile()

Very strange. I am not sure what is different in the paraview ebuild that it didn't happen.
Any idea about bug #433647 ?
Comment 7 Justin Lecher gentoo-dev 2014-01-11 16:56:31 UTC
*vtk-6.0.0 (11 Jan 2014)
+
+  11 Jan 2014; Justin Lecher <jlec@gentoo.org> +vtk-6.0.0.ebuild,
+  +files/vtk-6.0.0-install.patch, +files/vtk-6.0.0-netcdf.patch,
+  +files/vtk-6.0.0-system.patch, +files/vtk-6.0.0-vtkpython.patch,
+  metadata.xml:
+  Version Bump; support offscreen rendering, #126270; unbundle as many as
+  possible libs, #433481
+

exodusii and sqlite are currently impossible to unbundle. I will follow this when bumping to the next version.